/*
 * fdisk.h
 * $Header: fdisk.h,v 1.1 88/04/07 23:10:59 root Alpha $
 */

#define FAIL	0	/* result codes for the getxxxx() routines */
#define OK	1
#define NEW	2

/*
**	Defaults and driver limitations
*/

#define	MAX_NCYLS	1024		/* max # cylinders on a drive	*/
#define	DEF_SECHD	17		/* default sectors per track	*/
#define	DEF_BLKSIZE	512		/* sector size in bytes		*/

/* in names.c ... */
#define LAST_TYPE	(0xff)		/* Marker for end of lookup table */

#define	FDISK		"fdisk"		/* how is this program invoked	*/
#define	DDISK		"ddisk"		/*  for display only */

/*
**		SCREEN POSITIONS FOR DISPLAY STUFF
**	The defaults assume that your terminal cursor addressing is
**	from X position of 1 to 80 and from Y position of 1 to 24.
*/

#define	X_POS		1	/* start in first column		*/
#define	Y_BANNER	1	/* put BANNER on this line		*/
#define	Y_PART		3	/* put PARTITION DUMP on this line	*/
#define	Y_PARM		11	/* put PARAMETER DUMP on this line	*/
#define	Y_QUIT		23	/* put QUIT MESSAGE on this line	*/
#define	Y_PROMPT	24	/* put PROMPTS on this line		*/

/*
**	Forward declarations and externals
*/
extern char    *getstr(), *makelower(), *makeupper();
extern char    *strrchr();

/*
**	These are defined in screen.c and are terminal dependent.
*/
extern	char	clear[];	/* clear and home cursor	*/
extern	char	rvon[];		/* reverse video on		*/
extern	char	rvoff[];	/* reverse video off		*/
extern	char	hlon[];		/* highlight on			*/
extern	char	hloff[];	/* highlight off		*/
extern	char	ulon[];		/* underline on			*/
extern	char	uloff[];	/* underline off		*/
extern	char	blon[];		/* blink on			*/
extern	char	bloff[];	/* blink off			*/
extern	char	alloff[];	/* all attributes off		*/

/*
**	Partition names - see names.c
*/

struct	part_type_struct {
	unsigned char	type;
	char		*name;
};

extern char *nameofpart();
extern struct part_type_struct part_type[];

extern int	drv_fd;
extern char	*progname, *drivename;

